EKNO YUAG - Feature #3592

Report Payroll Invoice Detail - ASABA
05/07/2025 08:47 AM - Mr [kmal

Status: QA Test Start date: 05/07/2025
Priority: Immediate Due date: 05/09/2025
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 9.00 hours
Description

Dear mas azid,
Berikut untuk Format Invoice Detail PT ASABA. Pada sheet Detail Invoice yg berwarna kuning referensi & penjelesannya

https://docs.google.com/spreadsheets/d/11L OJbtZIVKUfrwKHRhasKL P4fQ-G-NJuT/edit?usp=sharing&ouid=11058231435080831798
9&rtpof=true&sd=true

Sudah dibuatkan menu nya di table:
SMENU

SENUTXT

PCMEPRPTCATALOG

di table SMENU & SMENUTXT
menulD: CYARINVDETAILASABA

di table PCMEPRPTCATALOG
reportID: CYARINVDETAILASABA

Catatan: Setelah kolom Total Pendapatan Diterima ada kolom NIK KTP, KPJ, No Rek, CEK NIK KTP itu tidak perlu dibuat dlu kolom
nya mas

Terima kasih.
https://hris-ekno.minovais.com/Account/Login

port db: 103.153.60.89
database: MinovaES_Ekno

History

#1 - 05/07/2025 02:52 PM - M Azid Wahyudi

dear ikmal , menunya di mana ya kok engga ada di report payroll ?

#2 - 05/07/2025 03:30 PM - Mr Ikmal
- File Screenshot 2025-05-07 152910.png added

Dear mas azid,
untuk menu nya di bagian
Payroll Accounting - Payroll Report - Payroll Invoice Detail - Invoice Detail Asaba

#3 - 05/08/2025 09:10 AM - Kezia Pawitra Yulianti
- Due date set to 05/09/2025
- Status changed from New to Assigned

- Priority changed from Normal to Immediate

#4 - 05/08/2025 10:51 AM - Mr Ikmal
Dear mas azid,

Untuk yang pakai Kode Wage Type nilai Amount nya ambil dari PHRPYTR0301 dan cek juga ke table PHRPYTR301RET apabila ada retro disana.

Di tabel PHRPYTR301RET, nnti bisa cek kolom PayPeriodMonth dan RunPeriodMonth. Cthnya:
https://docs.google.com/spreadsheets/d/1LOJbtZlVKUfrwKHRhasKLP4fQ-G-NJuT/edit?usp=sharing&ouid=110582314350808317989&rtpof=true&sd=true
https://docs.google.com/spreadsheets/d/1LOJbtZlVKUfrwKHRhasKLP4fQ-G-NJuT/edit?usp=sharing&ouid=110582314350808317989&rtpof=true&sd=true
https://hris-ekno.minovais.com/Account/Login

PayPeriodMonth = 01 (Januari)
RunPeriodMonth = 02 (Februari)

Jika, terjadi perubahan nilai (cthnya: kenaikan gaji di kode Wage Type 1000) yang berlaku mulai Januari. Namun karena gaji bulan Januari sudah
sempat dibayarkan terlebih dahulu dengan nilai lama, maka selisih dari kenaikan tersebut akan dibayarkan di bulan Februari melalui proses retro.

Cth:

Nilai awal yang dibayarkan di Januari: 4 juta

Setelah ada kenaikan yang berlaku mulai Januari, seharusnya menjadi: 5 juta

Maka pada proses run di Februari, sistem akan membayarkan selisih 1 juta

Total nilai yang diambil di Februari adalah 5 juta (untuk Februari) + 1 juta (selisih retro Januari) = 6 juta
Kalau ada bingung baca table retro bisa diskusi ke mba Yomma ya mas

terima kasih.

#5 - 05/13/2025 03:02 PM - M Azid Wahyudi

- File clipboard-202505131501-7avir.png added
- Assignee changed from M Azid Wahyudi to Mr Ikmal

dear ikmal , tolong di test yaa apa yang kurang
Payroll Result

[Tunjangan shift Rp. 3000,-| ~Tunjangan Transport Rp.
Report Tax Bulanan Coretax 10.000,-
Report Tax Tahunan Coretax No | Employee 1D NIK NAMA KARYAWAN BAGIAN TANGGAL | TANGGAL GAPOK HK/BLN AT GAPOKDITERIMA | ACT 3.000 acT 10.000
MmAsUK KELUAR KEHADIARAN

Wage Type Recap

Peyroll Run Status Detall 1 |ooooooot 3302021611040003 KHOERUL AFIDIN Produlsi Stamping mar24 S-mar25 Rp203260800) 2 o Rp2932608.00) 9 Ro000| 2 Rp 0.00|
2 [ooooooo2 NURLL GUNAWAN Quality Control 1§mar2t | Umards Ro203260800) 2 v Ro2805,102.00) 9 Ro00)| 2 Rp 0.00

ponbies 5 |ooonooos 3216120705030004 RENDY ALAPISYAH admin PPIC wmarzd | 15marzs Ro2932,60000) 2 o Rp2932608.00] 0 Ro000| 2 Rp 0.00|

eSPT Tahunan (Export) 4 |oooooood 3215180406950005 NURHARTONO Quality Control 26-mar-24 25-mar-25. Rp 2,932,608.00 E) o Rp2,932608.00 12 Ro000| 22 Rp 0.00]

ot — 5 |ooonooos 3275111509950001 LUKMAN SAPTIVAVIAN Produksi Welding 5apr2d 14apr25 Rp2032,60800) 2 o Rp2,805103.00) 0 Ro000| 21 Rp 0.00
& |ooonooos 3216103112030003 ANDREANSAH Produksi Welding 15apr24 14apr25 Ro2932,60800) 22 [ Rp2805,103.00) 9 Ro0.00| 20 Rp 0.00|

(s e 7_|oooooo PARID MAULIDA Produlsi Welding T7mer2t | lomay2s R 253260800 22 T Rp 280510300 5 Ro000| 2 #p0.00
& |ooonooos 216100809050001 MAULANA SETIAWAN Produlsi Welding may2e | t6mays Rp20250800) 2 o Rp2032s0800 12 ro000| 2 Rp 0.00
5 |ooonooos [EXO KURNIADI Quaity Control 20may2e | 19-may2s Rp203260800) 2 o Rp2032608.00) 13 ro000| 2 Rp 0.00|
10 |o00a0o10 3216143010020002 RUDI HARTONO. Repair 2hmar2t | 2may2s Ro 29260000 22 v Rp 293260800 1L Ro000| 22 Rp 0.00
11 |ooneoons FATKUROZE PPIC Stmay2t | 30may2s Ro2932,60000) 2 o Rp2932608.00] 0 Ro000| Rp 0.00|
12 |oouooor2 304011604040003 DERI SETLAWAN Produlsi Welding 10gun24 %jun-2s Rp203260800) 2 T Rp2805 10300 11 e Rp 0.00
13 |ooon0o13 3329091205030007 [RAFA TRI PRIVANTO Produksi Welding Ljun24 10un25 Ro2932,60800) 2 ] Rp2805,102.00) 9 Ro000| 21 Rp 0.00
14 |o000013 216176701970003 LOLA NABILLA Admin MTC 116 30uk24, 29025 Rp2932,60800 22 v Rp 267759800 0 Ro0.00| 20 Rp 0.00
15 |oouo0ots 3327081511040041 [BAYU ROMADHON Produksi Welding Saug24 2025 Ro2on260000) 2 o Rp2805103.00] 9 Ro000| 21 Rp 0.00|
16 |oooooo1s 3215083110990002 [FAHRU KHOLQI NOOR. QC Line. 21-aug-24 20-aug-25 Rp 2,932,608.00| 2 0 Rp 2,805,103.00| 7 Rp000) 23 Rp 0.00|
17 |oouo0o17 1806111809040003 MUHAMAD TFANT Repair 2taug24 | 2-augls Rp2032,60800) 2 o Rp2,03260800] 9 Ro000| 2 Rp 0.00|
15 |o0000015 3215112704970001 ‘Quality Control Waug2t | 27augs Ro292,60800) 22 T Rp2805,103.00] 8 Ro0.00| 21 Rp 0.00

makasih

#6 - 05/13/2025 05:25 PM - Mr Ikmal

- Assignee changed from Mr Ikmal to M Azid Wahyudi
Dear mas azid,

Berikut beberapa hal yang perlu disesuaikan ya:

1. Kolom NIK
Data NIK diambil dari field ExternallD di table PHRPA0001.

2. Kolom Management Fee

Perhitungan Management Fee dilakukan dari total yg di daftarkan pada field BasedFee (misal kode 1001, 1002) dikalikan dengan nilai
ManagementFee / 100 pada table CHRPYINVOICE.

Contoh:

EmployeelD: 00000001 Khoerul Afidin

07/02/2025 2/4



Payroll Period Reguler Januari Asaba (24 Desember 2024 — 23 Januari 2025):
1001 = Rp2.932.608

Payroll Additional Januari Asaba (1 Januari 2025):

1002 = Rp220.000

Maka:

(1001 + 1002) * 9/100

(2.932.608 + 220.000) * 9/100 = Rp283.734,72 (hasil yg benar)

Saat ini di website sepertinya rumusnya masih:

(1001 + 1002) / 100 = Rp31.526,08

(belum dikalikan 9%)

Mohon rumusnya disesuaikan ya mas.

3. Kolom Total di Koreksi Bulan Lalu (di bagian bawah)
Format angkanya disamain aja dengan menambahkan “Rp” di depannya.

4. Kolom Grand Total (kanan bawah)
Rumus yang digunakan adalah:
Sub Total (Total Pendapatan Diterima) + PPN (11% dari Management Fee) - PPh 23 (2% dari Management Fee)

Saat ini sepertinya masih dijumlahkan semua.
Selain itu, mohon kolom ini diberi label GRAND TOTAL di sisi kiri ya.

5. Kolom ACT KEHADIRAN

sama ini mas, kan kalau saya cek untuk yg kolom ACT KEHADIRAN, dia kehadiran nya diambil dari PHRPA0019 AttendanceType = 'Normal'. Tapi
itu nanti harus filter berdasarkan Payroll Periode juga mas.

Contoh:

Emp ID: 00000007

Dia hanya memiliki 1 data kehadiran di bulan Mei, tapi muncul di laporan Payroll Invoice Detail bulan Januari.

Biasanya, kalau saya cek Payroll Period, saya lihat Payroll Group-nya di tabel PHRPYGRUP, lalu cek Payroll Period-nya di tabel
PHRPYTRPAYPERIOD

Terima kasih.

#7 - 05/14/2025 10:56 AM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Mr Ikmal

dear ikmal , feedback kemaren udah di kerjain coba cek lagi ya
makasih

#8 - 05/15/2025 02:46 PM - Mr Ikmal

- Assignee changed from Mr Ikmal to M Azid Wahyudi

(INI HOLD DULU MAS, KALAU UDAH ADA KEPASTIAN NANTI DI INFO YA)
Untuk periode berjalan yang digunakan dalam perhitungan HK/Bulan:
PT ASABA

Periode: Tanggal 24 bulan berjalan hingga tanggal 23 bulan berikutnya

Contoh:
Periode Januari dihitung dari 24 Desember 2024 - 23 Januari 2025

#9 - 06/04/2025 09:01 AM - Mr Ikmal
- File clipboard-202506040901-0qpi9.png added

Dear mas azid,

Setelah feedback dari user, ada yg perlu diubah di bagian kolom TTD PT Ekno di bagian Disetujui. Karena saat ini menggunakan Gen Param, format
huruf nya (kapital semua atau tidak) tidak dapat disesuaikan.
Untuk mengatasi nya, saya telah menambahkan satu field baru bernama ApprovedByEkno pada tabel CHPYINVOICE. Nantinya, nama akan muncul

sesuai dengan isi dari field tersebut.

Cikarang, 4 Juni 2025

PT EKNO YUAG INDONESIA

DIBUAT

DIPERIKSA

[ DISETUIUI x\‘

'\ Eko Budi Setyono

Terima kasih

#10 - 06/20/2025 03:03 PM - Mr Ikmal

Dear Mas Azid,

Untuk kolom ACT Kehadiran, terdapat tambahan dari user karena tipe absensinya menyesuaikan kondisi. Jadi, data yang akan diambil tidak hanya
dari Attendance Type Normal di table PHRPAO0019, tetapi juga mencakup:

1000
2000
3000
4000

Normal)
Dinas)
Training)

PRy

Jadi sesuai yg ada di table ref PHRTMATTTYP mas

Terima kasih.

Files

Work From Home)

Screenshot 2025-05-07 152910.png
clipboard-202505131501-7avir.png
clipboard-202506040901-0qgpi9.png

07/02/2025

176 KB 05/07/2025
183 KB 05/13/2025
43.7 KB 06/04/2025

Mr Ikmal

M Azid Wahyudi

/4

Mr Ikmal


http://www.tcpdf.org

